"""

    Copyright 2006 Mikko Ohtamaa

    Quick installer script
    
"""

# Python imports
from StringIO import StringIO

# Zope imports
from zLOG import *

# Plone imports
from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.CMFCore.utils import getToolByName

# Local imports
from Products.RTFExport.config import * 
        
def install(self):
    """ Quick install script
    
    This script is executed when user chooses quickinstall in Zope Management Interface
    or Plone Management Page 
    
    @param portal Plone portal where are installing to
    """
    
    portal = self
    
    # Create buffer which logs messages during installation
    out = StringIO()

    # Register Archetypes types in the portal
    installTypes(self, out, listTypes(PROJECTNAME), PROJECTNAME)

    # Register layout files in the portal
    install_subskin(self, out, GLOBALS)          
            
    # Install export_rtf icon
    action_icons_tool = getToolByName(self, 'portal_actionicons')
    
    if action_icons_tool.queryActionIcon(category="plone", action_id="export_rtf") == None:    
        action_icons_tool.addActionIcon(
            category="plone", 
            action_id = "export_rtf",
            icon_expr = "export_rtf.gif",
            title = "Export as RTF document",
            priority = 0)
                        
    out.write("Successfully installed %s." % PROJECTNAME)
    return out.getvalue()

    
    